/****************************************************************************/
// camnls.h
//
//  - resource ids for NLS strings
//
/****************************************************************************/

/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Cameraderie.
 *
 * The Initial Developer of the Original Code is Richard L. Walsh.
 * 
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * ***** END LICENSE BLOCK ***** */

/****************************************************************************/

// Popup Menus
#define MNU_Save                0x2000
#define MNU_Delete              0x2001
#define MNU_Unmark              0x2002
#define MNU_Show                0x2003
#define MNU_UndoTitle           0x2004
#define MNU_SetGroup            0x2005

#define MNU_SaveAll             0x2006
#define MNU_DeleteAll           0x2007
#define MNU_UnmarkAll           0x2008
#define MNU_UndoAllTitles       0x2009

// Menubar
#define MNU_File                0x200A
#define MNU_Refresh             0x200B
#define MNU_SaveNow             0x200C
#define MNU_Exit                0x200D
#define MNU_Sort                0x200E
#define MNU_Indicators          0x200F
#define MNU_Done                0x2010
#define MNU_View                0x2011
#define MNU_Reset               0x2012
#define MNU_Rearrange           0x2013
#define MNU_Options             0x2014
#define MNU_Restore             0x2015

// Sort Menu
#define MNU_Action              0x2016
#define MNU_Number              0x2017
#define MNU_Title               0x2018
#define MNU_Group               0x2019
#define MNU_Format              0x201A
#define MNU_XY                  0x201B
#define MNU_ThumbFmt            0x201C
#define MNU_ThumbXY             0x201D
#define MNU_ThumbSize           0x201E
#define MNU_Handle              0x201F
#define MNU_Size                0x2020
#define MNU_Day                 0x2021
#define MNU_Date                0x2022
#define MNU_Time                0x2023

// Column Headings
#define COL_Mark                0x2024
#define COL_Nbr                 0x2025
#define COL_Title               0x2026
#define COL_Group               0x2027
#define COL_ImageFormat         0x2028
#define COL_ImageXY             0x2029
#define COL_ThumbFormat         0x202A
#define COL_ThumbXY             0x202B
#define COL_ThumbSize           0x202C
#define COL_Handle              0x202D
#define COL_ImageSize           0x202E
#define COL_Day                 0x202F
#define COL_Date                0x2030
#define COL_Time                0x2031

// Column Data
#define COL_Sun                 0x2032
#define COL_Mon                 0x2033
#define COL_Tue                 0x2034
#define COL_Wed                 0x2035
#define COL_Thu                 0x2036
#define COL_Fri                 0x2037
#define COL_Sat                 0x2038
#define COL_TooBig              0x2039

// Status bar
#define STS_Status              0x203A
#define STS_Copyright           0x203B
#define STS_GetList             0x203C
#define STS_RefreshList         0x203D
#define STS_NoFiles             0x203E
#define STS_ListingFiles        0x203F
#define STS_NoThumbnail         0x2040
#define STS_GetThumbErr         0x2041

// common buttons
#define BTN_EditGroups          0x2042
#define BTN_Exit                0x2043
#define BTN_Yes                 0x2044
#define BTN_No                  0x2045
#define BTN_Cancel              0x2046
#define BTN_Undo                0x2047
#define BTN_Apply               0x2048
#define BTN_OK                  0x2049
#define BTN_Retry               0x204A
#define BTN_Skip                0x204B
#define BTN_Stop                0x204C
#define BTN_Close               0x204D
#define BTN_Replace             0x204E
#define BTN_Create              0x204F
#define BTN_Find                0x2050
#define BTN_New                 0x2051
#define BTN_Delete              0x2052
#define BTN_Undelete            0x2053

// Default Groups
#define GRP_Default             0x2054
#define GRP_Family              0x2055
#define GRP_Travel              0x2056
#define GRP_Nature              0x2057
#define GRP_Other               0x2058
#define GRP_FamilyTempl         0x2059
#define GRP_TravelTempl         0x205A
#define GRP_NatureTempl         0x205B
#define GRP_OtherTempl          0x205C

// Error dialogs
#define DLG_Loading             0x2100
#define DLG_ToEndNow            0x2101
#define DLG_NoCameras           0x2102
#define DLG_PlugIn              0x2103
#define DLG_ToEnd               0x2104

// Disconnected dialog
#define DLG_Disconnected1       0x2105
#define DLG_Disconnected2       0x2106
#define DLG_Disconnected3       0x2107
#define DLG_WindowWillClose1    0x2108
#define DLG_WindowWillClose2    0x2109

// Confirm Save
#define DLG_SaveChanges         0x210A
#define DLG_Save                0x210B
#define DLG_EraseAfterSave      0x210C
#define DLG_Erase               0x210D

// Save Files
#define DLG_ReplaceAll          0x210E

// Groups
#define DLG_GroupName           0x2110
#define DLG_SaveDir             0x2111
#define DLG_Template            0x2112
#define DLG_Serial              0x2113
#define DLG_Digits              0x2114
#define DLG_InsertsSerial       0x2115
#define DLG_CopiesFilename      0x2116

//DirDlg
#define DLG_ChooseDir           0x2117
#define DLG_Drive               0x2118
#define DLG_Directory           0x2119
#define DLG_DirDlgMsg1          0x211A
#define DLG_DirDlgMsg2          0x211B

// Save Files strings
#define MSG_Erasing             0x2202
#define MSG_Saving              0x2203
#define MSG_SavedErased         0x2204

// Save Files errors
#define MSG_TooLong1            0x2205
#define MSG_TooLong2            0x2206
#define MSG_FileExists1         0x2207
#define MSG_FileExists2         0x2208
#define MSG_PathNotFound1       0x2209
#define MSG_PathNotFound2       0x220A
#define MSG_CouldNotCreate1     0x220B
#define MSG_CouldNotCreate2     0x220C
#define MSG_GetData             0x220D
#define MSG_OpCancelled         0x220E
#define MSG_OpenFile            0x220F
#define MSG_WriteFile           0x2210
#define MSG_ErasePhoto          0x2211

// Done Saving
#define MSG_SavedOK             0x2212
#define MSG_SaveEraseOK         0x2213
#define MSG_NotSaved            0x2214
#define MSG_ErasedOK            0x2215
#define MSG_NotErased           0x2216

// Group dialog strings
#define MSG_Deleted             0x2217
#define MSG_Btn                 0x2218
#define MSG_Group               0x2219
#define MSG_NewGroup            0x221A

// Group dialog errors
#define MSG_ButtonsAssigned     0x221B
#define MSG_DirIsBlank          0x221C
#define MSG_DirCreated          0x221D
#define MSG_PathIsAFile         0x221E
#define MSG_DirNotCreated       0x221F
#define MSG_GroupNameBlank      0x2220
#define MSG_GroupNameInUse      0x2221
#define MSG_PathDoesNotExist    0x2222
#define MSG_PathInvalid         0x2223

// Column dialog strings
#define MSG_Show                0x2224
#define MSG_Column              0x2225

// Startup errors
#define MSG_InitDisplay         0x2226
#define MSG_InitUSB             0x2227
#define MSG_ReopenCamera        0x2228

//Intro
#define DLG_Welcome             0x2229
#define DLG_PleaseSelect        0x222A
#define DLG_IntroMsg1           0x222C
#define DLG_IntroMsg2           0x222D

/****************************************************************************/

